Install/upgrade pre-check for NetBackup Scale-out Database Services

Article: 100055037
Last Published: 2023-04-03
Ratings: 0 0
Product(s): NetBackup & Alta Data Protection

Description

NetBackup 10.2 and later use a scale-out relational database server. Data from the previous database server must be migrated to the scale-out database server.

The following pre-install tests are added to nbcheck to help with the migration to the NetBackup Scale-Out Database Server.  These tests run only if the following are true:

  • The installation is for a primary server.
  • In the case of a clustered primary server, the installation is on the active node of the cluster.
  1. Basic checks
    • OS check - Must be Windows or Linux server.
    • Port check - Verify that the pgbouncer port (13787) is not in use.
      • Note: The pgbouncer port is customizable. If a port other than the default is in use, the check is performed on that port. 
    • Install path check - Check if the PostgreSQL data folder exists and is empty. Postgres does not start if the data path exists and is not empty.
    • Database user check (Linux only) - Confirms that the database user exists. 
    • Free space check (upgrade only) - Free space should be two times the size of the existing Sybase database plus a 10% buffer.
  2. Migration time check (upgrade only)
    • Estimates the time to migrate the existing database to the scale-out database.
    • Actual migration time depends on the total number of records in the NetBackup database you are migrating. 
    • Actual time to migrate also depends on various factors like the number of CPUs, RAM, disk type, etc.
    • The estimated record count does not include all the records in every table in NBDB and does not include record counts in NBAZDB and BMRDB. Calculating the total number of records for every table in a large database is time prohibitive. Hence the number of records is estimated based on records in some of the larger tables.
    • If migration time is more than 2 hours, the customer is prompted if they want to continue with upgrade.
    • NetBackup services must be running for the migration estimation to run.
      • Estimation fails if the NetBackup services are not running. A message is displayed with an option to continue with the upgrade.
      • Estimation fails if RBAC is enabled and the option Command-line (CLI) access for operating system (OS) administrators is disabled.
  3. UTF-8 json file check (upgrade only)
    • Tests if the UTF-8 check was run before the upgrade. This checks if the file utf8_check_timestamp.json exists in folder  /usr/openv/var/global.
      • Note: The folder maybe on the shared volume in cluster setups.
    • If the json file exists and is readable,  check if UTF-8 check was run within last 48 hours.

 

Messages displayed

 

Message 1

NetBackup 10.2 and later versions use a scale-out relational database server.
Data from the current database server needs to be migrated to the scale-out database server.
Unable to estimate the migration time because the required NetBackup services are not running.

Review the following article for more information:
https://www.veritas.com/support/en_US/article.100055037

Do you wish to continue? [y,n] 

Descriptionnbcheck tries to estimate the migration time when upgrading to version 10.2 or later. In order to do this, it needs to query the database for an estimate of the records in the database. Required database services are not running and thus migration time cannot be estimated at this time.

Action:  You can opt to continue with the upgrade (Enter y)

OR

Start NetBackup Services and run upgrade again. (Enter n).

 

Message 2

Unable to execute the bpimagelist binary. To verify functionality, run the  following command:

[bpimagelist -stats]

Review the following article for more information:
https://www.veritas.com/support/en_US/article.100055037

Do you wish to continue? [y,n]

Description:  nbcheck runs the bpimagelist CLI  to get a count of  the number of records in the image tables. This message is displayed when it nbcheck is unable to run the command. The most common reason for this message is that RBAC is enabled and command-line (CLI) access for operating system (OS) administrators is disabled. 
Action:  If you opt not to proceed with the upgrade (Enter n),

  • First, run the command bpimagelist -stats to confirm the behavior. An error is displayed: "Access to perform the operation was denied."
  • Next, enable the option CLI access for Operating System Administrator. (In the web UI, this setting is located in Security > RBAC > Role-based access control settings.) Then run the command bpimagelist -stats.
  • If the command runs  with no errors, run the upgrade again.

 

Message 3

NetBackup 10.2 and later versions use a scale-out relational database server.
Data from the current database server needs to be migrated to the scale-out
database server. This migration may take some time. You have the option to
continue the upgrade or cancel it now.

Review the following article for more information:
https://www.veritas.com/support/en_US/article.100055037

Estimated Records found: nnnn
Estimated migration time: hh:mm:ss

Do you wish to continue? [y,n] 

Description:  nbcheck estimate for migration time when upgrading to version 10.2 or later is displayed here.  

Action: Review the estimated migration time. Note that the migration time is an estimate and actual time will depend on various factors listed above.  Select 'y' if you want to continue with the update. Select 'n' if you want to schedule the update later.

 

Message 4

The UTF-8 check has not been run successfully. Please run the UTF-8 checker before upgrade.

Description:  The scale-out database used in release 10.2 strictly enforces UTF-8 strings. The UTF-8 check utility scans for any non UTF-8 strings in the current database. This message indicates that either the utility has not been run yet or there is corruption in the output file that was generated.

Action:  Select 'n' to exit the upgrade, and run the UTF-8 checker utility. Fix any issues reported in the current database.  Run the upgrade again. Review the following article for more information: https://www.veritas.com/support/en_US/article.100055151.

 

Message 5

The UTF-8 checker was run more than 48 hours ago. Please re-run the UTF-8 checker before upgrade.

Description:  The UTF-8 check was run previously. But it has been more than 48 hours since it was last run.

Action:  Select 'n' to exit the upgrade, run the UTF-8 checker utility again. Fix any new issues reported in the current database.  Run the upgrade again. Review the following article for more information: https://www.veritas.com/support/en_US/article.100055151.

 

Was this content helpful?